| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events | Private Member Functions | Private Attributes | List of all members
IG.Forms.AlignmentControl Class Reference

Control for setting horizontal and vertical alignment of items. More...

Inheritance diagram for IG.Forms.AlignmentControl:
[legend]
Collaboration diagram for IG.Forms.AlignmentControl:
[legend]

## Public Member Functions
| AlignmentControl ()

## Protected Member Functions
void | OnValueChanged (object sender, EventArgs eventArgs)
| Triggers the ValueChanged event. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
Alignment | _alignment = new Alignment()

## Properties
string | Title`[get, set]`
| Text displayed in the title label of the control. More...
Alignment | Alignment`[get, set]`

## Events
EventHandler | ValueChanged
| Event that occurs when the value of alignment changes. More...

## Private Member Functions
void | AnyControl_CheckChanged (object sender, EventArgs e)
| Common things for event handlers executing when any of the radio buttons changes checked status. More...
void | rbHorizontalNone_CheckedChanged (object sender, EventArgs e)
void | rbHorizontalLeft_CheckedChanged (object sender, EventArgs e)
void | rbHorizontalCentered_CheckedChanged (object sender, EventArgs e)
void | rbHorizontalRight_CheckedChanged (object sender, EventArgs e)
void | rbVerticalNone_CheckedChanged (object sender, EventArgs e)
void | rbVerticalTop_CheckedChanged (object sender, EventArgs e)
void | rbVerticalCentered_CheckedChanged (object sender, EventArgs e)
void | rbVerticalBottom_CheckedChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Label | lblHorizontal
System.Windows.Forms.RadioButton | rbHorizontalRight
System.Windows.Forms.RadioButton | rbHorizontalCentered
System.Windows.Forms.RadioButton | rbHorizontalLeft
System.Windows.Forms.RadioButton | rbHorizontalNone
System.Windows.Forms.Label | lblVertical
System.Windows.Forms.RadioButton | rbVerticalBottom
System.Windows.Forms.RadioButton | rbVerticalMiddle
System.Windows.Forms.RadioButton | rbVerticalTop
System.Windows.Forms.RadioButton | rbVerticalNone
System.Windows.Forms.GroupBox | pnlOuter
System.Windows.Forms.Panel | pnlHorizontal
System.Windows.Forms.Panel | pnlVertical

## Detailed Description

Control for setting horizontal and vertical alignment of items.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG.Forms.AlignmentControl.AlignmentControl | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.AlignmentControl.OnValueChanged | ( | object | sender,
|  | EventArgs | eventArgs
| ) |  |
| inline protected

Triggers the ValueChanged event.

void IG.Forms.AlignmentControl.AnyControl_CheckChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Common things for event handlers executing when any of the radio buttons changes checked status.

Parameters

  sender |
  e |

void IG.Forms.AlignmentControl.rbHorizontalNone_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AlignmentControl.rbHorizontalLeft_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AlignmentControl.rbHorizontalCentered_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AlignmentControl.rbHorizontalRight_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AlignmentControl.rbVerticalNone_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AlignmentControl.rbVerticalTop_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AlignmentControl.rbVerticalCentered_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.AlignmentControl.rbVerticalBottom_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.AlignmentControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.AlignmentControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

Alignment IG.Forms.AlignmentControl._alignment = new Alignment()
| protected

System.ComponentModel.IContainer IG.Forms.AlignmentControl.components = null
| private

Required designer variable.

System.Windows.Forms.Label IG.Forms.AlignmentControl.lblHorizontal
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControl.rbHorizontalRight
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControl.rbHorizontalCentered
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControl.rbHorizontalLeft
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControl.rbHorizontalNone
| private

System.Windows.Forms.Label IG.Forms.AlignmentControl.lblVertical
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControl.rbVerticalBottom
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControl.rbVerticalMiddle
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControl.rbVerticalTop
| private

System.Windows.Forms.RadioButton IG.Forms.AlignmentControl.rbVerticalNone
| private

System.Windows.Forms.GroupBox IG.Forms.AlignmentControl.pnlOuter
| private

System.Windows.Forms.Panel IG.Forms.AlignmentControl.pnlHorizontal
| private

System.Windows.Forms.Panel IG.Forms.AlignmentControl.pnlVertical
| private

## Property Documentation

string IG.Forms.AlignmentControl.Title
| get set

Text displayed in the title label of the control.

Alignment IG.Forms.AlignmentControl.Alignment
| get set

## Event Documentation

EventHandler IG.Forms.AlignmentControl.ValueChanged

Event that occurs when the value of alignment changes.

The documentation for this class was generated from the following files:

- igforms/Utilities/WindowPositioner/AlignmentControl.cs
- igforms/Utilities/WindowPositioner/AlignmentControl.Designer.cs